VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Attributes | List of all members
BypassProcessor< T > Class Template Reference

`#include <vstbypassprocessor.h>`

## Classes
struct | Delay

## Public Member Functions
| BypassProcessor ()
| ~BypassProcessor ()
void | setup (IAudioProcessor &audioProcessor, ProcessSetup &processSetup, int32 delaySamples)
void | reset ()
bool | isActive () const
void | setActive (bool state)
void | process (ProcessData &data)

## Protected Attributes
int32 | mInputPinLookup [64]
Delay * | mDelays [64]
bool | mActive {false}
bool | mMainIOBypass {false}

## Constructor & Destructor Documentation

## ◆ BypassProcessor()

template<typename T>

BypassProcessor | ( |  | ) |
| inline

## ◆ ~BypassProcessor()

template<typename T>

~BypassProcessor | ( |  | ) |
| inline

## Member Function Documentation

## ◆ setup()

template<typename T>

void setup | ( | IAudioProcessor & | audioProcessor,
|  | ProcessSetup & | processSetup,
|  | int32 | delaySamples )
| inline

## ◆ reset()

template<typename T>

void reset | ( |  | ) |
| inline

## ◆ isActive()

template<typename T>

bool isActive | ( |  | ) | const
| inline

## ◆ setActive()

template<typename T>

void setActive | ( | bool | state | ) |
| inline

## ◆ process()

template<typename T>

void process | ( | ProcessData & | data | ) |
| inline

## Member Data Documentation

## ◆ mInputPinLookup

template<typename T>

int32 mInputPinLookup[64]
| protected

## ◆ mDelays

template<typename T>

Delay* mDelays[64]
| protected

## ◆ mActive

template<typename T>

bool mActive {false}
| protected

## ◆ mMainIOBypass

template<typename T>

bool mMainIOBypass {false}
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.